### Enumeration

# Fwupd CodecFlags

#### Declaration

    flags Fwupd.CodecFlags

#### Description [src]

The flags to use when converting data from one form to another.

#### Members

`FWUPD_CODEC_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.0.0
`FWUPD_CODEC_FLAG_TRUSTED`

  Include values that may be regarded as trusted or sensitive.

  - Value: `1`
  - Available since: 2.0.0
`FWUPD_CODEC_FLAG_COMPRESSED`

  Compress values to the smallest possible size.

  - Value: `2`
  - Available since: 2.0.8